## q2-fragment-insertion 2022.11.1

=== Makefile ===
.PHONY: all lint test install dev clean distclean

all: ;

lint:
	q2lint
	flake8

test: all
	py.test

install: all
	python setup.py install

dev: all
	pip install -e .

clean: distclean

distclean: ;

## q2-fragment-insertion 2021.8.0

=== debian/changelog ===
q2-fragment-insertion (2021.8.0-3) unstable; urgency=medium

  * Initial release (Closes: #977115)
  * Reupload after adding copyright info for versioneer.

 -- Steffen Moeller <moeller@debian.org>  Sun, 26 Sep 2021 20:57:50 +0200

=== debian/control ===
Source: q2-fragment-insertion
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-setuptools,
               qiime (>= 2021.8.0),
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-biom-format <!nocheck>,
               python3-skbio <!nocheck>,
               sepp <!nocheck>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/q2-fragment-insertion
Vcs-Git: https://salsa.debian.org/med-team/q2-fragment-insertion.git
Homepage: https://qiime2.org/
Rules-Requires-Root: no

Package: q2-fragment-insertion
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         qiime (>= 2020.11.0),
         python3-biom-format,
         python3-skbio,
         q2-types
Recommends: sepp,
            python3-ijson,
            default-jdk
Description: QIIME 2 plugin for fragment insertion
 QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
 package with a focus on data and analysis transparency. QIIME 2 enables
 researchers to start an analysis with raw DNA sequence data and finish with
 publication-quality figures and statistical results.
 Key features:
  * Integrated and automatic tracking of data provenance
  * Semantic type system
  * Plugin system for extending microbiome analysis functionality
  * Support for multiple types of user interfaces (e.g. API, command line,
 graphical)
 .
 QIIME 2 is a complete redesign and rewrite of the QIIME 1 microbiome analysis
 pipeline. QIIME 2 will address many of the limitations of QIIME 1, while
 retaining the features that makes QIIME 1 a powerful and widely-used analysis
 pipeline.
 .
 QIIME 2 currently supports an initial end-to-end microbiome analysis pipeline.
 New functionality will regularly become available through QIIME 2 plugins. You
 can view a list of plugins that are currently available on the QIIME 2 plugin
 availability page. The future plugins page lists plugins that are being
 developed.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

# For testing, we need .egg-info so the entry points are available.
export PYBUILD_BEFORE_TEST=python{version} setup.py develop --install-dir {build_dir}
# Delete .egg-info and other files that were generated along with .egg-info
export PYBUILD_BEFORE_INSTALL=rm -rvf {build_dir}/q2-fragment-insertion.egg-* {build_dir}/site.py \
	{build_dir}/.coverage* {build_dir}/easy-install.pth

%:
	dh $@ --with python3 --buildsystem=pybuild

# FIXME: similarly to the qiime package, the build time testing fails, as the
#        Qiime plugin system is not fully available at this point of the package
#        construction.  The test suite is only run at autopkgtest time, but this
#        is not ideal, since the only tested python version is the default one.
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- -s custom --test-args="cd {build_dir}; py.test-3 --cov=q2_fragment_insertion" || true
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -f q2_fragment_insertion.egg-info/PKG-INFO q2_fragment_insertion.egg-info/SOURCES.txt q2_fragment_insertion.egg-info/dependency_links.txt q2_fragment_insertion.egg-info/entry_points.txt q2_fragment_insertion.egg-info/not-zip-safe q2_fragment_insertion.egg-info/top_level.txt

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-pytest-cov, sepp (>= 4.3.10+dfsg-4)
Restrictions: allow-stderr

## q2-fragment-insertion 2022.2.0

=== debian/changelog ===
q2-fragment-insertion (2022.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Adjust versioned (Build-)Depends

 -- Andreas Tille <tille@debian.org>  Tue, 19 Jul 2022 17:52:24 +0200

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
                dh-python,
                python3,
                python3-setuptools,
-               qiime (>= 2021.8.0),
+               qiime (>= 2022.2.0),
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-biom-format <!nocheck>,
                python3-skbio <!nocheck>,
                sepp <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/q2-fragment-insertion
 Vcs-Git: https://salsa.debian.org/med-team/q2-fragment-insertion.git
 Homepage: https://qiime2.org/
@@ -24,7 +24,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends},
-         qiime (>= 2020.11.0),
+         qiime (>= 2022.2.0),
          python3-biom-format,
          python3-skbio,
          q2-types

## q2-fragment-insertion 2022.11.1

=== debian/changelog ===
q2-fragment-insertion (2022.11.1-3) unstable; urgency=medium

  * Team upload.
  * Do not Build-Depend sepp

 -- Andreas Tille <tille@debian.org>  Sun, 05 Feb 2023 18:26:51 +0100

q2-fragment-insertion (2022.11.1-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Andreas Tille <tille@debian.org>  Tue, 24 Jan 2023 18:50:58 +0100

q2-fragment-insertion (2022.11.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Bump versioned Depends
  * Standards-Version: 4.6.2 (routine-update)
  * Skip autopkgtest requiring sepp which needs pplacer which is not
    available in testing since mcl lost OCaml support
  * DEP3

 -- Andreas Tille <tille@debian.org>  Tue, 17 Jan 2023 11:36:48 +0100

q2-fragment-insertion (2022.8.0-2) unstable; urgency=medium

  * Team upload.
  * Architecture: any (to avoid debci errors on architectures where sepp
    is not available ... which are all except amd64)

 -- Andreas Tille <tille@debian.org>  Fri, 30 Sep 2022 08:17:13 +0200

q2-fragment-insertion (2022.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2022.8.0
  * Update dependency on qiime/q2-* >= 2022.8.0

 -- Mohammed Bilal <mdbilal@disroot.org>  Wed, 07 Sep 2022 12:25:31 +0000

=== debian/control ===
--- 
+++ 
@@ -7,27 +7,26 @@
                dh-python,
                python3,
                python3-setuptools,
-               qiime (>= 2022.2.0),
+               qiime (>= 2022.11.1),
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-biom-format <!nocheck>,
-               python3-skbio <!nocheck>,
-               sepp <!nocheck>
-Standards-Version: 4.6.1
+               python3-skbio <!nocheck>
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/q2-fragment-insertion
 Vcs-Git: https://salsa.debian.org/med-team/q2-fragment-insertion.git
 Homepage: https://qiime2.org/
 Rules-Requires-Root: no
 
 Package: q2-fragment-insertion
-Architecture: all
+Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends},
-         qiime (>= 2022.2.0),
          python3-biom-format,
          python3-skbio,
-         q2-types
+         qiime (>= 2022.11.1),
+         q2-types (>= 2022.11.1)
 Recommends: sepp,
             python3-ijson,
             default-jdk

=== debian/rules ===
--- 
+++ 
@@ -24,4 +24,3 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f q2_fragment_insertion.egg-info/PKG-INFO q2_fragment_insertion.egg-info/SOURCES.txt q2_fragment_insertion.egg-info/dependency_links.txt q2_fragment_insertion.egg-info/entry_points.txt q2_fragment_insertion.egg-info/not-zip-safe q2_fragment_insertion.egg-info/top_level.txt
-

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-pytest-cov
         # sepp (>= 4.3.10+dfsg-4)
Restrictions: allow-stderr

## q2-fragment-insertion 2023.7.0

=== debian/changelog ===
q2-fragment-insertion (2023.7.0-1) unstable; urgency=medium

  * New upstream version 2023.7.0
  * d/copyright: bump copyright year.
  * d/control: add myself to uploaders.

 -- Étienne Mollier <emollier@debian.org>  Sun, 20 Aug 2023 16:09:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: q2-fragment-insertion
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Steffen Moeller <moeller@debian.org>
+Uploaders: Steffen Moeller <moeller@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),

## q2-fragment-insertion 2024.5.0

=== debian/changelog ===
q2-fragment-insertion (2024.5.0-1ubuntu2) oracular; urgency=medium

  * Rebuild against new qiime with python3.12 tests enabled.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Jul 2024 08:37:42 +0200

q2-fragment-insertion (2024.5.0-1ubuntu1) oracular; urgency=medium

  * Enable again building for Python 3.12

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 10 Jul 2024 15:01:44 +0200

q2-fragment-insertion (2024.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Regenerate debian/control from debian/control.in (routine-update)
  * d/patches/configparser.patch: copy from qiime packaging
  * Only build for Python 3.11 until upstream catches up with Python
    3.12.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 25 Jun 2024 12:45:32 +0200

q2-fragment-insertion (2024.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Autopkgtest for all supported Python3 versions
  * Regenerate debian/control from debian/control.in (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 18 Feb 2024 15:01:28 +0100

q2-fragment-insertion (2023.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Generate debian/control automatically to refresh version number
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Regenerate debian/control from debian/control.in (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 30 Jan 2024 17:42:16 +0100

q2-fragment-insertion (2023.7.0-2) UNRELEASED; urgency=medium

  * d/salsa-ci.yml: skip test on i386.

 -- Étienne Mollier <emollier@debian.org>  Sun, 20 Aug 2023 16:31:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,3 +1,4 @@
+# This file is autogenerated from control.in to update versioned dependencies
 Source: q2-fragment-insertion
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
@@ -5,10 +6,10 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               python3,
+               dh-sequence-python3,
+               python3-all,
                python3-setuptools,
-               qiime (>= 2022.11.1),
+               qiime (>= 2024.5),
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-biom-format <!nocheck>,
@@ -26,8 +27,8 @@
          ${python3:Depends},
          python3-biom-format,
          python3-skbio,
-         qiime (>= 2022.11.1),
-         q2-types (>= 2022.11.1)
+         qiime (>= 2024.5),
+         q2-types (>= 2024.5)
 Recommends: sepp,
             python3-ijson,
             default-jdk

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 # DH_VERBOSE := 1
 export LC_ALL=C.UTF-8
+
+#export PYBUILD_DISABLE=python3.12
 
 # For testing, we need .egg-info so the entry points are available.
 export PYBUILD_BEFORE_TEST=python{version} setup.py develop --install-dir {build_dir}
@@ -9,8 +11,15 @@
 export PYBUILD_BEFORE_INSTALL=rm -rvf {build_dir}/q2-fragment-insertion.egg-* {build_dir}/site.py \
 	{build_dir}/.coverage* {build_dir}/easy-install.pth
 
+include /usr/share/dpkg/default.mk
+VERSION_UPSTREAM=$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\(20[0-9][0-9]\.[0-9]\+\)\..*/\1/')
+
+debian/control: debian/control.in
+	echo "# This file is autogenerated from control.in to update versioned dependencies" > $@
+	sed -e"s/@DEB_VERSION_UPSTREAM@/$(VERSION_UPSTREAM)/g" $< >> $@
+
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 # FIXME: similarly to the qiime package, the build time testing fails, as the
 #        Qiime plugin system is not fully available at this point of the package

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-pytest-cov, python3-all
         # sepp (>= 4.3.10+dfsg-4)
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/qiime2/q2-fragment-insertion/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
